<div class="page-header">
  <h3 class="page-title">
    <span class="page-title-icon bg-gradient-primary text-white mr-2">
      <i class="mdi mdi-human-male-female"></i>
    </span>
    Clientes
  </h3>
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a routerLink="/dashboard">Inicio</a></li>
      <li class="breadcrumb-item active" aria-current="page">Clientes</li>
    </ol>
  </nav>
</div>
<!-- boton  -->
<div class="row d-flex justify-content-between align-items-baseline" style="margin-right:auto; margin-left:auto;">
  <div></div>
  <button type="button" class="btn btn-dark btn-fw" (click)="openModal(MC)">
    <i class="mdi mdi-plus-box"> Crear cliente</i>
  </button>
</div>
<!-- boton -->
<!-- Inicio de table -->
<div class="row">
  <div class="col-md-12 grid-margin stretch-card">
    <div class="card">
      <div class="card-body">
        <div class="d-sm-flex align-items-center mb-4">
          <h4 class="title mb-sm-0">Listado de clientes</h4>
        </div>
        <div class="table-responsive border rounded p-1">
          <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped">
            <thead>
              <tr>
                <th class="font-weight-bold">Nombre</th>
                <th class="font-weight-bold">Correo</th>
                <th class="font-weight-bold">Dirección</th>
                <th class="font-weight-bold">Teléfono</th>
                <th class="font-weight-bold">Acciones</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let item of clients">
                <td>{{ item.nombre_completo }}</td>
                <td>{{ item.correo }}</td>
                <td>{{ item.direccion }}</td>
                <td>{{ item.telefono }}</td>
                <td>
                  <button type="button" class="btn btn-danger btn-icon" (click)="eliminarCliente(item)"
                    placement="bottom" ngbTooltip="Eliminar cliente">
                    <i class="mdi mdi-delete-forever"></i>
                  </button>
                  <button type="button" class="btn btn-inverse-dark btn-icon"
                    (click)="editarCliente(item); openModalEdit(MCEdit);" placement="bottom"
                    ngbTooltip="Editar cliente">
                    <i class="mdi mdi-grease-pencil"></i>
                  </button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Fin de table -->

<!-- Modal crear inicio -->
<ng-template class="modal fade" #MC let-modal>
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close" (click)="modal.dismiss()">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="col-12 stretch-card">

        <div class="card-body" [formGroup]="clientCreate">
          <h4 class="card-title">Crear cliente</h4>
          <p class="card-description">
            Ingrese los campos requeridos para la creación del cliente
          </p>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName1">Nombre</label>
              <input type="text" class="form-control" id="exampleInputName1" placeholder="Ingrese un nombre"
                #nombre_completo style="background-color:dark" formControlName="nombre_completo">
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Correo</label>
              <input type="email" class="form-control" id="exampleInputName2" placeholder="Ingrese un correo" #correo
                style="background-color:dark" formControlName="correo">
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Dirección</label>
              <input type="text" class="form-control" id="exampleInputName2" placeholder="Ingrese una dirección"
                #direccion style="background-color:dark" formControlName="direccion">
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Teléfono</label>
              <div class="form-group">
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text" style="color: black;">+569</span>
                  </div>
                  <input type="text" class="form-control" id="exampleInputName2"
                    placeholder="Ingrese un número de teléfono" #telefono style="background-color:dark"
                    formControlName="telefono" onkeypress="return event.charCode>=48 && event.charCode<=57" required
                    maxlength="8">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary mr-2" (click)="crearCliente(clientCreate.value, modal)"
        [disabled]="this.clientCreate.invalid">Crear</button>
      <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="modal.dismiss()">Cancelar</button>
    </div>
  </div>
</ng-template>

<!-- Modal crear rol final -->

<!-- Editar inicio  -->
<ng-template class="modal fade" #MCEdit let-modal>
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close" (click)="modal.dismiss()">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="col-12 stretch-card">

        <div class="card-body">
          <h4 class="card-title">Editar cliente</h4>
          <p class="card-description">
            Modifique los campos deseados para editar el cliente
          </p>
          <form class="forms-sample" #f="ngForm">
            <div class="form-group">
              <label for="exampleInputName1">Nombre</label>
              <input type="text" class="form-control" id="exampleInputName1" placeholder="Ingrese el nombre"
                name="nombre_completo" [(ngModel)]="clientModel.nombre_completo" #nombre_completo="ngModel" required>
            </div>
            <div class="form-group">
              <label for="exampleInputName1">Correo</label>
              <input type="email" class="form-control" id="exampleInputName1" placeholder="Ingrese el correo"
                name="correo" [(ngModel)]="clientModel.correo" #correo="ngModel" required>
            </div>
            <div class="form-group">
              <label for="exampleInputName1">Dirección</label>
              <input type="text" class="form-control" id="exampleInputName1" placeholder="Ingrese la dirección"
                name="direccion" [(ngModel)]="clientModel.direccion" #direccion="ngModel" required>
            </div>
            <div class="forms-sample">
              <div class="form-group">
                <label for="exampleInputName2">Teléfono</label>
                <div class="form-group">
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text" style="color: black;">+569</span>
                    </div>
                    <input type="text" class="form-control" id="exampleInputName2"
                      placeholder="Ingrese un numero de teléfono" style="background-color:dark"
                      onkeypress="return event.charCode>=48 && event.charCode<=57" required maxlength="8" minlength="8"
                      name="telefono" [(ngModel)]="clientModel.telefono" #telefono="ngModel">
                  </div>
                </div>
              </div>
            </div>

          </form>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary mr-2" (click)="guardarEdit(modal)"
        [disabled]="f.invalid">Guardar</button>
      <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="modal.dismiss()">Cancelar</button>
    </div>
  </div>
</ng-template>
<!-- Editar final -->
